#
# spec file for package apache2-mod_auth_ntlm_winbind
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           apache2-mod_auth_ntlm_winbind
BuildRequires:  apache2-devel
%define modname mod_auth_ntlm_winbind
%define apxs /usr/sbin/apxs2
%define apache apache2
%define apache_libexecdir %(%{apxs} -q LIBEXECDIR)
%define apache_sysconfdir %(%{apxs} -q SYSCONFDIR)
%define apache_includedir %(%{apxs} -q INCLUDEDIR)
%define apache_serverroot %(%{apxs} -q PREFIX)
%define apache_localstatedir %(%{apxs} -q LOCALSTATEDIR)
%define apache_mmn        %(MMN=$(%{apxs} -q LIBEXECDIR)_MMN; test -x $MMN && $MMN)
Version:        0.0.0.lorikeet_svn_785
Release:        374.1
Requires:       %{apache_mmn}
Requires:       apache2
Requires:       samba-winbind
Summary:        Enables Apache to authenticate users against Microsoft like DCs
License:        Apache-2.0
Group:          Productivity/Networking/Web/Servers
Url:            http://samba.org/
Source:         %{modname}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
mod_auth_ntlm_winbind is an Apache module to authenticate users and
authorize access through Samba's winbind daemon against a Microsoft
like DomainController (DC). These are Microsoft NT/2000/XP and Samba.

To load the module into Apache, run the command "a2enmod
auth_ntlm_winbind" as root.

Check /usr/share/doc/packages/apache2-mod_auth_ntlm_winbind/README for
examples how to add mod_auth_ntlm_winbind to your Apache configuration.

%prep
%setup -n %{modname}-%{version}

%build
%{apxs} -c -D APACHE2 mod_auth_ntlm_winbind.c

%install
mkdir -p $RPM_BUILD_ROOT/%{apache_libexecdir}
cp -p .libs/%{modname}.so $RPM_BUILD_ROOT/%{apache_libexecdir}

%files
%defattr(-,root,root)
%doc README
# copyright notice contained here:
%dir %{apache_libexecdir}
%{apache_libexecdir}/%{modname}.so

%changelog
* Tue Mar  4 2014 lars@samba.org
- Update to svn revision 785.
  + Only send "Proxy-Authenticate" replies when we are in a forward proxy.
  + Clean up compile warnings on 64-bit architectures; (bnc#866921).
  + Ensure that the authenticated user context is set to NULL when freed.
  + Add a workaround for proxy authorization in IE.
  + Fix a typo in strcmp usage in process_msg().
- Remove no longer included AUTHORS file.
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
* Wed Nov 15 2006 lars@samba.org
- Update to svn revision 682.
  + Fix content length in auth reply.
  + Rename to mod_auth_ntlm_winbind at all places.
  + Documentation cleanup.
* Mon Nov  6 2006 lars@samba.org
- Initial RPM package.
